Package org.opensaml.xmlsec.agreement.impl

# Interface KeyAgreementParameterParser

All Known Implementing Classes:
  `ConcatKDF.Parser`, `DigestMethod.Parser`, `KANonce.Parser`, `PBKDF2.Parser`

public interface KeyAgreementParameterParser
A component which parses an `XMLObject` into an instance of `KeyAgreementParameter`.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`handles(XMLObject xmlObject)`
Evaluate whether the specified `XMLObject` is handled by the implementation.
`KeyAgreementParameter`
`parse(XMLObject xmlObject)`
Parse the specified `XMLObject` into a `KeyAgreementParameter`.

## Method Details

### handles

boolean handles(@Nonnull XMLObject xmlObject)
Evaluate whether the specified `XMLObject` is handled by the implementation.

Parameters:
  `xmlObject` - the XML object to evaluate
Returns:
  true if handles, false if not

### parse

@Nonnull KeyAgreementParameter parse(@Nonnull XMLObject xmlObject) throws KeyAgreementException
Parse the specified `XMLObject` into a `KeyAgreementParameter`.

Parameters:
  `xmlObject` - the XMLObject to be parsed
Returns:
  the new key agreement parameter instance
Throws:
  `KeyAgreementException` - if parameter parsing of the supplied object fails